CMSIS-DSP: Bayesian estimators

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Bayesian estimators

## Functions

uint32_t | arm_gaussian_naive_bayes_predict_f16 (const arm_gaussian_naive_bayes_instance_f16 *S, const float16_t *in, float16_t *pOutputProbabilities, float16_t *pBufferB)
| Naive Gaussian Bayesian Estimator. More...
uint32_t | arm_gaussian_naive_bayes_predict_f32 (const arm_gaussian_naive_bayes_instance_f32 *S, const float32_t *in, float32_t *pOutputProbabilities, float32_t *pBufferB)
| Naive Gaussian Bayesian Estimator. More...

## Description

Implement the naive gaussian Bayes estimator. The training must be done from scikit-learn.

The parameters can be easily generated from the scikit-learn object. Some examples are given in DSP/Testing/PatternGeneration/Bayes.py

## Function Documentation

uint32_t arm_gaussian_naive_bayes_predict_f16 | ( | const arm_gaussian_naive_bayes_instance_f16 * | S,
|  | const float16_t * | in,
|  | float16_t * | pOutputProbabilities,
|  | float16_t * | pBufferB
| ) |  |

Parameters

  [in] | *S | points to a naive bayes instance structure
  [in] | *in | points to the elements of the input vector.
  [out] | *pOutputProbabilities | points to a buffer of length numberOfClasses containing estimated probabilities
  [out] | *pBufferB | points to a temporary buffer of length numberOfClasses

Returns
  The predicted class

uint32_t arm_gaussian_naive_bayes_predict_f32 | ( | const arm_gaussian_naive_bayes_instance_f32 * | S,
|  | const float32_t * | in,
|  | float32_t * | pOutputProbabilities,
|  | float32_t * | pBufferB
| ) |  |

Parameters

  [in] | *S | points to a naive bayes instance structure
  [in] | *in | points to the elements of the input vector.
  [out] | *pOutputProbabilities | points to a buffer of length numberOfClasses containing estimated probabilities
  [out] | *pBufferB | points to a temporary buffer of length numberOfClasses

Returns
  The predicted class